#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
#define CRP(t, x) const t &x
#define OPL(t, x) bool operator<(CRP(t, x)) const
#define FIL(x, v) memset(x, v, sizeof(x))
#define CLR(x) FIL(x, 0)
#define NE1(x) FIL(x, -1)
#define INF(x) FIL(x, 0x3f)
#ifndef _DEBUG
#define _DEBUG 0
#endif // !_DEBUG
#define IFD if (_DEBUG)
typedef long long ll, i64;
const int N = 205;
int a[N];
int main()
{
    int T, n;
    scanf("%d", &T);
    while (T--)
    {
        scanf("%d", &n);
        for (int i = 0; i < n; i++) scanf("%d", a + i), a[i]--;
        int st = *a;
        bool flag = true;
        for (int i = 1; i < n; i++)
            if ((a[i - 1] + 1) % n != a[i]) flag = false;
        if (!flag)
            for (int i = flag = 1; i < n; i++)
                if ((a[i - 1] + n - 1) % n != a[i]) flag = false;
        puts(flag ? "YES" : "NO");
    }
    return 0;
}